#pragma once
#include <map>
struct M_ActivityMonsterCFGData
{
	//编号
	int mId;
	//神兽名字
	std::string mMonsterName;
	//神兽血量
	int mMonsterBlood;
	//三星回合
	int mStar1;
	//二星回合
	int mStar2;
	//一星回合
	int mStar3;
	//首次击杀奖励道具
	int mFirstKillItem;
	//首次击杀奖励数量
	int mFirstKillICount;
	//击杀奖励道具
	int mKillItem;
	//击杀奖励数量
	int mKillICount;
	//神兽资源
	std::string mResources;
};

class M_ActivityMonsterCFG
{
public:
private:
	static std::auto_ptr<M_ActivityMonsterCFG> msSingleton;
public:
	int GetCount();
	const M_ActivityMonsterCFGData* GetData(int Id);
	const std::map<int, M_ActivityMonsterCFGData>& GetMapData();
	void Load();
	void LoadLua();
	void Reload();
	static M_ActivityMonsterCFG* GetSingleton();
	static void Release();
private:
	std::map<int, M_ActivityMonsterCFGData> mMapData;
};
